commit 03aa0e562c8711f97b8c3ec069d1999ad613929a
Author: freddy77 <freddy77>
Date:   Sat Nov 15 09:57:06 2008 +0000

    remove some windows warnings

diff --git a/ChangeLog b/ChangeLog
index fb37ad3..04ddc24 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Sat Nov 15 10:56:48 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tds_sysdep_private.h src/apps/bsqlodbc.c:
+	* src/pool/member.c src/pool/user.c:
+	- remove some windows warnings
+
 Fri Nov 14 00:56:39 EST 2008	JK Lowden <jklowden@freetds.org>
 	* src/apps/bsqlodbc.c 
 	- better metadata and -V option for ODBC version
@@ -947,4 +952,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2662 2008/11/14 05:58:14 jklowden Exp $
+$Id: ChangeLog,v 1.2663 2008/11/15 09:57:06 freddy77 Exp $
diff --git a/include/tds_sysdep_private.h b/include/tds_sysdep_private.h
index bce25a0..4b523e0 100644
--- a/include/tds_sysdep_private.h
+++ b/include/tds_sysdep_private.h
@@ -20,7 +20,7 @@
 #ifndef _tds_sysdep_private_h_
 #define _tds_sysdep_private_h_
 
-/* $Id: tds_sysdep_private.h,v 1.25 2008/01/20 14:23:59 freddy77 Exp $ */
+/* $Id: tds_sysdep_private.h,v 1.26 2008/11/15 09:57:06 freddy77 Exp $ */
 
 #undef TDS_RCSID
 #if defined(__GNUC__) && __GNUC__ >= 3
@@ -69,8 +69,8 @@ typedef int pid_t;
 
 #if defined(WIN32) || defined(_WIN32) || defined(__WIN32__)
 #include <windows.h>
-#define READSOCKET(a,b,c)	recv((a), (b), (c), TDS_NOSIGNAL)
-#define WRITESOCKET(a,b,c)	send((a), (b), (c), TDS_NOSIGNAL)
+#define READSOCKET(a,b,c)	recv((a), (char *) (b), (c), TDS_NOSIGNAL)
+#define WRITESOCKET(a,b,c)	send((a), (const char *) (b), (c), TDS_NOSIGNAL)
 #define CLOSESOCKET(a)		closesocket((a))
 #define IOCTLSOCKET(a,b,c)	ioctlsocket((a), (b), (c))
 #define SOCKLEN_T int
diff --git a/src/apps/bsqlodbc.c b/src/apps/bsqlodbc.c
index c8e7b06..63cd677 100644
--- a/src/apps/bsqlodbc.c
+++ b/src/apps/bsqlodbc.c
@@ -50,7 +50,7 @@
 #include <sqlext.h>
 #include "replacements.h"
 
-static char software_version[] = "$Id: bsqlodbc.c,v 1.11 2008/11/14 05:58:14 jklowden Exp $";
+static char software_version[] = "$Id: bsqlodbc.c,v 1.12 2008/11/15 09:57:06 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static char * next_query(void);
@@ -414,7 +414,7 @@ free_metadata(struct METADATA *metadata, struct DATA *data, int ncols)
 	free(data);
 }
 
-const char *
+static const char *
 prtype(SQLSMALLINT type)
 {
 	static char buffer[64];
diff --git a/src/pool/member.c b/src/pool/member.c
index 347142e..b82e25d 100644
--- a/src/pool/member.c
+++ b/src/pool/member.c
@@ -59,7 +59,7 @@
 #define MAXHOSTNAMELEN 256
 #endif /* MAXHOSTNAMELEN */
 
-TDS_RCSID(var, "$Id: member.c,v 1.41 2006/12/26 14:56:20 freddy77 Exp $");
+TDS_RCSID(var, "$Id: member.c,v 1.42 2008/11/15 09:57:06 freddy77 Exp $");
 
 static int pool_packet_read(TDS_POOL_MEMBER * pmbr);
 static TDSSOCKET *pool_mbr_login(TDS_POOL * pool);
@@ -260,14 +260,9 @@ pool_process_members(TDS_POOL * pool, fd_set * fds)
 						pmbr->state = TDS_IDLE;
 						puser->user_state = TDS_SRV_IDLE;
 					}
-#ifdef MSG_NOSIGNAL	
 					/* cf. net.c for better technique.  */
-					ret = send(puser->tds->s, buf, tds->in_len, MSG_NOSIGNAL);
-#else
-					/* write(puser->tds->s, buf, tds->in_len); */
-					ret = send(puser->tds->s, buf, tds->in_len, 0);
-#endif
-					if (ret==-1) { /* couldn't write, ditch the user */
+					ret = WRITESOCKET(puser->tds->s, buf, tds->in_len);
+					if (ret < 0) { /* couldn't write, ditch the user */
 						fprintf(stdout, "member %d received error while writing\n",i);
 						pool_free_user(pmbr->current_user);
 						pool_deassign_member(pmbr);
diff --git a/src/pool/user.c b/src/pool/user.c
index 000a9f4..e2db9db 100644
--- a/src/pool/user.c
+++ b/src/pool/user.c
@@ -48,7 +48,7 @@
 #include "tdssrv.h"
 #include "tdsstring.h"
 
-TDS_RCSID(var, "$Id: user.c,v 1.32 2008/01/07 14:07:21 freddy77 Exp $");
+TDS_RCSID(var, "$Id: user.c,v 1.33 2008/11/15 09:57:06 freddy77 Exp $");
 
 static TDS_POOL_USER *pool_user_find_new(TDS_POOL * pool);
 static int pool_user_login(TDS_POOL * pool, TDS_POOL_USER * puser);
@@ -298,17 +298,11 @@ pool_user_query(TDS_POOL * pool, TDS_POOL_USER * puser)
 	} else {
 		pmbr->state = TDS_QUERYING;
 		pool_assign_member(pmbr, puser);
-#ifdef MSG_NOSIGNAL	
 		/* cf. net.c for better technique.  */
-		ret = send(pmbr->tds->s, puser->tds->in_buf, puser->tds->in_len, MSG_NOSIGNAL);
-#else
-		/* write(pmbr->tds->s, puser->tds->in_buf, puser->tds->in_len); */
-		ret = send(pmbr->tds->s, puser->tds->in_buf, puser->tds->in_len, 0);
-#endif
+		ret = WRITESOCKET(pmbr->tds->s, puser->tds->in_buf, puser->tds->in_len);
 		/* write failed, cleanup member */
-		if (ret==-1) {
+		if (ret < 0) {
 			pool_free_member(pmbr);
 		}
-
 	}
 }

